## helma.framework.core
Class SkinManager

    java.lang.Object
      helma.framework.core.SkinManager

All Implemented Interfaces:
  java.io.FilenameFilter

    public final class SkinManager

extends java.lang.Object
implements java.io.FilenameFilter

Manages skins for a Helma application

Constructor Summary
`SkinManager(Application app)` Creates a new SkinManager object.

Method Summary
`boolean` `accept(java.io.File d, java.lang.String n)` Implements java.io.FilenameFilter.accept()
`protected Skin` `getSkin(Prototype prototype, java.lang.String skinname, java.lang.Object[] skinpath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkinManager

    public SkinManager(Application app)

  Creates a new SkinManager object.

  Parameters:
    `app` - ...

Method Detail

### getSkin

    protected Skin getSkin(Prototype prototype,
                           java.lang.String skinname,
                           java.lang.Object[] skinpath)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### accept

    public boolean accept(java.io.File d,
                          java.lang.String n)

  Implements java.io.FilenameFilter.accept()

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.